export default interface IFirmware {
    upgrade(version: string, baseUrl?: string): Promise<void>;
    upgrade(baseUrl: string, version: string): Promise<void>;
    upgrade(fwUri: string): Promise<void>;
    upgrade(arg1: string, arg2?: string): Promise<void>;
    getVersion(): Promise<string>;
    getType(): Promise<string>;
}
